Category : dependencies

So the problem is in the title. Trying to get the yandex_kassa library for flutter, added all dependencies and repositories like README.md says (example below). My androidbuild.gradle allprojects { repositories { google() jcenter() mavenCentral() } dependencies { implementation ‘ru.yoomoney.sdk.kassa.payments:yookassa-android-sdk:6.4.4′ } } Also tried this with $versionName, like README.md says, doesn’t work either. Full error message: ..

Read more

So this is what I’ve encountered: operation requires the library com.google.android.gms:play-services-ads:+. Problem: Inconsistencies in the existing project dependencies found. Version incompatibility between: com.google.android.material:material:[email protected] and: com.google.android.material:material:[email protected] With the dependency: androidx.annotation:*:1.1.0 versus: androidx.annotation:*:2.0.0 The project may not compile after adding this library. Would you like to add it anyway? Has anyone had the same? How did you ..

Read more

I know that this question already has been posted, but the solutions couldn’t help me. I have an android app that is using two play services dependencies: implementation ‘com.google.android.gms:play-services-maps:18.0.0’ implementation ‘com.google.android.gms:play-services-location:18.0.0′ Google says they detected two Ad SDKs in the app, Version: 14, SDK: AdMob. I checked all dependencies and couldn’t find any Ad SDK. ..

Read more

I got this errors when I try to run the emulator Duplicate class androidx.lifecycle.ViewModelLazy found in modules jetified-lifecycle-viewmodel-ktx-2.3.1-runtime (androidx.lifecycle:lifecycle-viewmodel-ktx:2.3.1) and lifecycle-viewmodel-2.4.0-runtime (androidx.lifecycle:lifecycle-viewmodel:2.4.0) Duplicate class androidx.lifecycle.ViewModelProviderKt found in modules jetified-lifecycle-viewmodel-ktx-2.3.1-runtime (androidx.lifecycle:lifecycle-viewmodel-ktx:2.3.1) and lifecycle-viewmodel-2.4.0-runtime (androidx.lifecycle:lifecycle-viewmodel:2.4.0) Duplicate class androidx.lifecycle.ViewTreeViewModelKt found in modules jetified-lifecycle-viewmodel-ktx-2.3.1-runtime (androidx.lifecycle:lifecycle-viewmodel-ktx:2.3.1) and lifecycle-viewmodel-2.4.0-runtime (androidx.lifecycle:lifecycle-viewmodel:2.4.0) Source: Android..

Read more

Which command can I use to see why a certain package is installed, who depends on it using Gradle? I’m working with an Android project and want to see why firebase-installations gets into the classpath (it’s not in the dependencies list). I tried something like this: ./gradlew -q ‘app:dependencyInsight’ –dependency firebase-installations –configuration aflavourReleaseCompileClasspath But the ..

Read more

For some reason when my android studio fails to find this SDK here is the Build log: Failed to resolve: com.mapbox.mapboxsdk:mapbox-android-sdk:9.7.0 Show in Project Structure dialog Affected Modules: app Here is the Project build.gradle: // Top-level build file where you can add configuration options common to all sub-projects/modules. buildscript { repositories { google() mavenCentral() maven ..

Read more